#
# Conditional build:
%bcond_with	msdblib		# use MS-style dblib instead of SYB-style
%bcond_without	kerberos5	# Kerberos5 support (via Heimdal)
#
# %%define tdsver - default protocol version; valid versions:
# 4.2 (used by Sybase SQLServer <= 10 and MS SQL Server 6.5)
# 4.6
# 5.0 (used by Sybase SQLServer >= 11)
# 7.0 (used by MS SQL Server 7.0) [spec default]
# 7.1 (used by MS SQL Server 2000)

%{!?tdsver:%define tdsver 7.0}

Summary:	Free implementation of Sybase's db-lib
Summary(pl.UTF-8):	Wolnodostępna implementacja db-lib firmy Sybase
Name:		freetds
Version:	0.91
Release:	2
License:	LGPL v2+
Group:		Libraries
Source0:	ftp://ftp.ibiblio.org/pub/Linux/ALPHA/freetds/stable/%{name}-%{version}.tar.gz
# Source0-md5:	b14db5823980a32f0643d1a84d3ec3ad
URL:		http://www.freetds.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	gettext-devel
%{?with_kerberos5:BuildRequires:	heimdal-devel}
BuildRequires:	libltdl-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	unixODBC-devel
Requires(post):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/tds

%description
FreeTDS is a free (open source) implementation of Sybase's db-lib,
ct-lib, and ODBC libraries (which can be used also to work with MS SQL
databases). Currently, dblib and ctlib are most mature. Both of these
libraries have several programs known to compile and run against them.
ODBC is not quite as mature, but may work depending on your needs.

%description -l pl.UTF-8
FreeTDS to wolnodostępna (z otwartymi źródłami) implementacja
bibliotek db-lib, ct-lib i ODBC firmy Sybase (których można używać
także do pracy z bazami MS SQL). Aktualnie najlepiej działają dblib i
ctlib - istnieje trochę programów, o których wiadomo, że kompilują się
i działają z tymi bibliotekami. ODBC nie jest jeszcze na tyle
skończony, ale może działać w zależności od potrzeb.

%package devel
Summary:	FreeTDS header files
Summary(pl.UTF-8):	Pliki nagłówkowe FreeTDS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_kerberos5:Requires:	heimdal-devel}
Requires:	openssl-devel

%description devel
FreeTDS header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe FreeTDS.

%package static
Summary:	FreeTDS static libraries
Summary(pl.UTF-8):	Statyczne biblioteki FreeTDS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
FreeTDS static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki FreeTDS.

%package odbc
Summary:	FreeTDS ODBC driver for unixODBC
Summary(pl.UTF-8):	Sterownik ODBC FreeTDS dla unixODBC
Group:		Libraries
Requires(post):	/sbin/ldconfig
Requires(post):	/usr/bin/odbcinst
Requires:	%{name} = %{version}-%{release}
Requires:	unixODBC

%description odbc
FreeTDS ODBC driver for unixODBC.

%description odbc -l pl.UTF-8
Sterownik ODBC FreeTDS dla unixODBC.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_kerberos5:--enable-krb5=gssapi} \
	--with-tdsver=%{tdsver} \
	%{?with_msdblib:--with-msdblib} \
	--with-openssl \
	--with-unixodbc=/usr

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	ETC=$RPM_BUILD_ROOT%{_sysconfdir}

mv -f src/pool/BUGS BUGS.pool
mv -f src/pool/README README.pool
mv -f src/pool/TODO TODO.pool

# ODBC driver, dlopen()ed
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libtdsodbc.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
if [ -f /etc/freetds.conf ]; then
	mv -f /etc/freetds.conf %{_sysconfdir}/freetds.conf
fi

%postun	-p /sbin/ldconfig

%post odbc
/sbin/ldconfig
/usr/bin/odbcinst -i -d -r <<EOF
[FreeTDS]
Description = FreeTDS unixODBC Driver
Driver = %{_libdir}/libtdsodbc.so.0
Setup = %{_libdir}/libtdsodbc.so.0
EOF
/usr/bin/odbcinst -i -d -r <<EOF
[SQL Server]
Description = FreeTDS unixODBC Driver
Driver = %{_libdir}/libtdsodbc.so.0
Setup = %{_libdir}/libtdsodbc.so.0
EOF

%postun odbc -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS* ChangeLog NEWS README* TODO* doc/doc/%{name}-%{version}/userguide
%attr(755,root,root) %{_bindir}/bsqldb
%attr(755,root,root) %{_bindir}/datacopy
%attr(755,root,root) %{_bindir}/defncopy
%attr(755,root,root) %{_bindir}/fisql
%attr(755,root,root) %{_bindir}/freebcp
%attr(755,root,root) %{_bindir}/tdspool
%attr(755,root,root) %{_bindir}/tsql
%attr(755,root,root) %{_libdir}/libct.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libct.so.4
%attr(755,root,root) %{_libdir}/libsybdb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsybdb.so.5
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/freetds.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/locales.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pool.conf
%{_mandir}/man1/bsqldb.1*
%{_mandir}/man1/datacopy.1*
%{_mandir}/man1/defncopy.1*
%{_mandir}/man1/fisql.1*
%{_mandir}/man1/freebcp.1*
%{_mandir}/man1/tsql.1*
%{_mandir}/man5/freetds.conf.5*

%files devel
%defattr(644,root,root,755)
%doc doc/doc/%{name}-%{version}/reference
%attr(755,root,root) %{_libdir}/libct.so
%attr(755,root,root) %{_libdir}/libsybdb.so
%{_libdir}/libct.la
%{_libdir}/libsybdb.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libct.a
%{_libdir}/libsybdb.a

%files odbc
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bsqlodbc
%attr(755,root,root) %{_bindir}/osql
%attr(755,root,root) %{_libdir}/libtdsodbc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtdsodbc.so.0
%attr(755,root,root) %{_libdir}/libtdsodbc.so
%{_mandir}/man1/bsqlodbc.1*
%{_mandir}/man1/osql.1*
%changelog
* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a47ebbf
- release 2

* Sun Aug 21 2011 Jakub Bogusz <qboosh@pld-linux.org> f7cbf8e
- updated to 0.91
- removed obsolete cvs-fixes patch

* Sun May 16 2010 sparky <sparky@pld-linux.org> a261210
- replaced BR: gettext with BR: gettext-devel

* Sat Apr 10 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d2860f
- release 5

* Mon Mar 16 2009 Elan Ruusamäe <glen@pld-linux.org> d4a544e
- release 4

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 95f5654
- release 3

* Wed Jun 18 2008 hawk <hawk@pld-linux.org> 213d06f
- merged fixes from freetds CVS, release 2

* Wed Jun 18 2008 hawk <hawk@pld-linux.org> 519025e
- few fixes from freetds CVS, helps with building some tds related packages

* Sat May 31 2008 Jakub Bogusz <qboosh@pld-linux.org> 8aede28
- updated to 0.82
- added hack for libtool 2.2

* Mon Sep 03 2007 Jan Rękorajski <baggins@pld-linux.org> b2b1c3b
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> dbb092a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fe90d86
- converted to UTF-8

* Tue Jul 18 2006 Jakub Bogusz <qboosh@pld-linux.org> bde04e5
- updated to 0.64
- enabled SSL support (using openssl; gnutls is also available)
- separated odbc driver, register it in its post

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> c12462d
- adapterized (sorted %verify attrs)

* Sat Sep 17 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 2af6d5d
- rebuild with readline 5.0

* Mon Apr 18 2005 hawk <hawk@pld-linux.org> e67b59e
- release 2 (1 will be for Ra)

* Tue Apr 05 2005 Jakub Bogusz <qboosh@pld-linux.org> 639fbf7
- updated to 0.63 (note: new sonames)

* Sun Jan 02 2005 hawk <hawk@pld-linux.org> 46ffd39
- release 2 (1 for RA)

* Tue Aug 24 2004 Jakub Bogusz <qboosh@pld-linux.org> 9ba0248
- added NEWS to docs

* Sun Jun 20 2004 grzegol <grzegol@pld-linux.org> d80bfba
- updated to 0.62.4
- removed not needed BR: glib-devel

